CONTAINER-CREATE-D(1)

NAME
container-create-debootstrap - Create a basic Debian based container with debootstrap

SYNOPSIS

container create -s debootstrap [OPTIONS]

DESCRIPTION

The debootstrap container creation script uses debootstrap(8) to create a Debian based container.

This script creates a pure Debian system with three modificiations:

    • apt cache of packages downloaded during debootstrap is cleaned

    • hostname is set (container name) in /etc/hostname

    • root password is set (user specified or 16 random characters)

OPTIONS

The following script options are available:

-n, --name=NAME
    Specify container name.

-a, --architecture=ARCHITECTURE
    Specify the Debian architecture, defaults to the host systems architecture.

-d, --distribution=DISTRIBUTION
    Specify the Debian distribution, defaults to stretch.

-m, --mirror=MIRROR
    Specify the Debian mirror, defaults to https://deb.debian.org/debian.

-p, --root-password=PASSWORD
    Specify the root password, defaults to a random 16 character password.

EXAMPLES

Create a Debian 9 (stretch) based container with same architecture as the host system:
    sudo container create -s debootstrap -n stretch.example.net

Create a Debian 9 (stretch) based container with different architecture as the host system:
    sudo container create -s debootstrap -n stretch-i386.example.net — -a i386

SEE ALSO

container-tools(7), container(1).

HOMEPAGE

More information about container-tools and the Open Infrastructure project can be found on the homepage at https://open-infrastructure.net.

CONTACT

Bug reports, feature requests, help, patches, support and everything else are welcome on the Open Infrastructure Software Mailing List software@lists.open-infrastructure.net.

Debian specific bugs can also be reported in the Debian Bug Tracking System at https://bugs.debian.org.

AUTHORS

container-tools was written by Daniel Baumann <daniel.baumann@open-infrastructure.net>.